## org.eclipse.emf.ecore.xml.namespace
Interface XMLNamespacePackage.Literals

Enclosing interface:
  XMLNamespacePackage

    public static interface XMLNamespacePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EDataType` `LANG_TYPE` The meta object literal for the 'Lang Type' data type
`static EDataType` `LANG_TYPE_NULL` The meta object literal for the 'Lang Type Null' data type
`static EEnum` `SPACE_TYPE` The meta object literal for the '`Space Type`' enum
`static EDataType` `SPACE_TYPE_OBJECT` The meta object literal for the 'Space Type Object' data type
`static EClass` `XML_NAMESPACE_DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class
`static EAttribute` `XML_NAMESPACE_DOCUMENT_ROOT__BASE` The meta object literal for the 'Base' attribute feature
`static EAttribute` `XML_NAMESPACE_DOCUMENT_ROOT__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `XML_NAMESPACE_DOCUMENT_ROOT__LANG` The meta object literal for the 'Lang' attribute feature
`static EAttribute` `XML_NAMESPACE_DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature
`static EAttribute` `XML_NAMESPACE_DOCUMENT_ROOT__SPACE` The meta object literal for the 'Space' attribute feature
`static EReference` `XML_NAMESPACE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature
`static EReference` `XML_NAMESPACE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature

Field Detail

### XML_NAMESPACE_DOCUMENT_ROOT

    static final EClass XML_NAMESPACE_DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `XMLNamespaceDocumentRootImpl`, `XMLNamespacePackageImpl.getXMLNamespaceDocumentRoot()`

### XML_NAMESPACE_DOCUMENT_ROOT__MIXED

    static final EAttribute XML_NAMESPACE_DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### XML_NAMESPACE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final EReference XML_NAMESPACE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### XML_NAMESPACE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final EReference XML_NAMESPACE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### XML_NAMESPACE_DOCUMENT_ROOT__BASE

    static final EAttribute XML_NAMESPACE_DOCUMENT_ROOT__BASE

  The meta object literal for the 'Base' attribute feature.

### XML_NAMESPACE_DOCUMENT_ROOT__ID

    static final EAttribute XML_NAMESPACE_DOCUMENT_ROOT__ID

  The meta object literal for the 'Id' attribute feature.

### XML_NAMESPACE_DOCUMENT_ROOT__LANG

    static final EAttribute XML_NAMESPACE_DOCUMENT_ROOT__LANG

  The meta object literal for the 'Lang' attribute feature.

### XML_NAMESPACE_DOCUMENT_ROOT__SPACE

    static final EAttribute XML_NAMESPACE_DOCUMENT_ROOT__SPACE

  The meta object literal for the 'Space' attribute feature.

### SPACE_TYPE

    static final EEnum SPACE_TYPE

  The meta object literal for the '`Space Type`' enum.

  See Also:
    `SpaceType`, `XMLNamespacePackageImpl.getSpaceType()`

### LANG_TYPE

    static final EDataType LANG_TYPE

  The meta object literal for the 'Lang Type' data type.

  See Also:
    `String`, `XMLNamespacePackageImpl.getLangType()`

### LANG_TYPE_NULL

    static final EDataType LANG_TYPE_NULL

  The meta object literal for the 'Lang Type Null' data type.

  See Also:
    `String`, `XMLNamespacePackageImpl.getLangTypeNull()`

### SPACE_TYPE_OBJECT

    static final EDataType SPACE_TYPE_OBJECT

  The meta object literal for the 'Space Type Object' data type.

  See Also:
    `SpaceType`, `XMLNamespacePackageImpl.getSpaceTypeObject()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.